cURL
curl --request PATCH \
--url https://app.zappway.ai/api/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"name": "<string>",
"temperature": 123,
"systemPrompt": "<string>",
"userPrompt": "<string>",
"promptTemplate": "<string>"
}
'import requests
url = "https://app.zappway.ai/api/agents"
payload = {
"description": "<string>",
"name": "<string>",
"temperature": 123,
"systemPrompt": "<string>",
"userPrompt": "<string>",
"promptTemplate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
name: '<string>',
temperature: 123,
systemPrompt: '<string>',
userPrompt: '<string>',
promptTemplate: '<string>'
})
};
fetch('https://app.zappway.ai/api/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"modelName": "claude_3_5_haiku",
"temperature": 123,
"visibility": "public",
"systemPrompt": "<string>",
"userPrompt": "<string>",
"promptType": "raw",
"promptTemplate": "<string>"
}Agents
AI Employee - Create
PATCH
/
agents
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
claude_3_5_haiku, claude_3_5_sonnet, claude_4_5_haiku, claude_4_5_sonnet, claude_sonnet_4_6, claude_sonnet_5, claude_4_sonnet, claude_opus_4_5, claude_opus_4_6, claude_opus_4_7, claude_opus_5, deepseek_r1_0528, deepseek_v4_flash, deepseek_v4_pro, deepseek_v3_0324, dolphin_mixtral_8x7b, gemini_3_1_flash_image_preview, gemini_3_1_flash_lite_preview, gemini_3_1_pro_preview, gemini_3_5_flash, gemini_3_flash_preview, gemini_3_pro_image_preview, gemini_3_pro_preview, gemini_flash_2_0, gemini_flash_2_5, gemini_pro_2_5, gpt_4o_2024_11_20, gpt_4o_mini_2024_07_18, gpt_5, gpt_5_1, gpt_5_1_chat, gpt_5_2, gpt_5_2_chat, gpt_5_2_chat_latest, gpt_5_3_chat_latest, gpt_5_3_codex, gpt_5_4, gpt_5_4_mini, gpt_5_4_nano, gpt_5_5_2026_04_23, gpt_5_mini, gpt_5_nano, glm_5_1, minimax_m2_7, mimo_v2_omni, mimo_v2_pro, mimo_v2_5_pro, grok_4, grok_4_3, grok_build_0_1, grok_4_20, grok_4_20_multi_agent, lfm_2_24b_a2b, llama_4_maverick, llama_4_scout, mistral_large_2512, mixtral_8x22b, mixtral_8x7b, nova_2_lite_v1, nova_premier_v1, sonar_pro Temperature of the model (min 0.0, max 1.0)
AI Employee System Prompt
AI Employee User Prompt
(DEPRECATED in favor of systemPrompt and userPrompt) Set the prompt type for this query
Available options:
raw, customer_support (DEPRECATED in favor of systemPrompt and userPrompt) Set the prompt template for this query
Available options:
public, private Response
Success
Available options:
claude_3_5_haiku, claude_3_5_sonnet, claude_4_5_haiku, claude_4_5_sonnet, claude_sonnet_4_6 - claude_sonnet_5, claude_4_sonnet, claude_opus_4_5, claude_opus_4_6, claude_opus_4_7 - claude_opus_5, deepseek_r1_0528, deepseek_v4_flash, deepseek_v4_pro, deepseek_v3_0324, dolphin_mixtral_8x7b, gemini_3_1_flash_image_preview, gemini_3_1_flash_lite_preview, gemini_3_1_pro_preview, gemini_3_5_flash, gemini_3_flash_preview, gemini_3_pro_image_preview, gemini_3_pro_preview, gemini_flash_2_0, gemini_flash_2_5, gemini_pro_2_5, gpt_4o_2024_11_20, gpt_4o_mini_2024_07_18, gpt_5, gpt_5_1, gpt_5_1_chat, gpt_5_2, gpt_5_2_chat, gpt_5_2_chat_latest, gpt_5_3_chat_latest, gpt_5_3_codex, gpt_5_4, gpt_5_4_mini, gpt_5_4_nano, gpt_5_5_2026_04_23, gpt_5_mini, gpt_5_nano, glm_5_1, minimax_m2_7, mimo_v2_omni, mimo_v2_pro, mimo_v2_5_pro, grok_4, grok_4_3, grok_build_0_1, grok_4_20, grok_4_20_multi_agent, lfm_2_24b_a2b, llama_4_maverick, llama_4_scout, mistral_large_2512, mixtral_8x22b, mixtral_8x7b, nova_2_lite_v1, nova_premier_v1, sonar_pro Temperature of the model (min 0.0, max 1.0)
Available options:
public, private AI Employee System Prompt
AI Employee User Prompt
(DEPRECATED in favor of systemPrompt and userPrompt) Set the prompt type for this query
Available options:
raw, customer_support (DEPRECATED in favor of systemPrompt and userPrompt) Set the prompt template for this query

